- As with most of our quickstarts, all API calls and transactions in this guide occur within the Testnet environment; no real-world funds will be transferred.
- If you have not yet created a user-controlled wallet, see the user-controlled wallets interactive quickstart.
1. Acquire a Session Token
Make a request toPOST /users/token
using a previously created user ID. The userToken is a 60-minute session token
to initiate requests requiring a user challenge (PIN code entry). After 60
minutes, the session expires, and a new userToken must be generated via the
same endpoint.
Response Body
2. Acquire the Wallet ID
Make a request toGET /wallets
using the userToken returned in Step 1 to retrieve the wallet information for
a given user.
Response Body
3. Transfer Testnet Currency
Transfer testnet currency from an external wallet outside the Programmable Wallet infrastructure into your applicable walletaddress. The best way to
achieve this is through the use of a . In our case, we
will use the USDC Faucet to transfer USDC on
Polygon Amoy to user wallet.
Here is a list of reputable native token faucets for each blockchain:
Once an inbound transfer is made to the address and completed, Circle sends a
notification to a subscribed endpoint. The
Webhook notification will be similar to the one below.
Webhook Request Body
GET /transactions
using the userId or userToken associated with your user.
Response Body